aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2018-12-01 02:04:41 +1300
committerTom Ryder <tom@sanctum.geek.nz>2018-12-01 02:04:41 +1300
commitd7f8465d51306c2e1539117e0d7f1dc066bbe1e3 (patch)
treed6bbaed8aeb414b1a79429e48ba8c1b97cb85b58
parent65e47bfe12f3fbc25da69e59c7af38e958c67688 (diff)
downloaddotfiles-d7f8465d51306c2e1539117e0d7f1dc066bbe1e3.tar.gz
dotfiles-d7f8465d51306c2e1539117e0d7f1dc066bbe1e3.zip
Use full `if` condition for SSH hostname comp src
-rw-r--r--bash/bash_completion.d/sftp.bash3
-rw-r--r--bash/bash_completion.d/ssh-copy-id.bash3
-rw-r--r--bash/bash_completion.d/ssh.bash3
3 files changed, 6 insertions, 3 deletions
diff --git a/bash/bash_completion.d/sftp.bash b/bash/bash_completion.d/sftp.bash
index ad4d406f..b54b06b7 100644
--- a/bash/bash_completion.d/sftp.bash
+++ b/bash/bash_completion.d/sftp.bash
@@ -1,4 +1,5 @@
# Completion for sftp(1) with ssh_config(5) hostnames
-declare -F _ssh_config_hosts >/dev/null ||
+if ! declare -F _ssh_config_hosts >/dev/null ; then
source "$HOME"/.bash_completion.d/_ssh_config_hosts.bash
+fi
complete -F _ssh_config_hosts -o bashdefault -o default sftp
diff --git a/bash/bash_completion.d/ssh-copy-id.bash b/bash/bash_completion.d/ssh-copy-id.bash
index 336df4ea..cbecfa5f 100644
--- a/bash/bash_completion.d/ssh-copy-id.bash
+++ b/bash/bash_completion.d/ssh-copy-id.bash
@@ -1,4 +1,5 @@
# Completion for ssh-copy-id(1) with ssh_config(5) hostnames
-declare -F _ssh_config_hosts >/dev/null ||
+if ! declare -F _ssh_config_hosts >/dev/null ; then
source "$HOME"/.bash_completion.d/_ssh_config_hosts.bash
+fi
complete -F _ssh_config_hosts -o bashdefault -o default ssh-copy-id
diff --git a/bash/bash_completion.d/ssh.bash b/bash/bash_completion.d/ssh.bash
index 7ec82596..6d327c91 100644
--- a/bash/bash_completion.d/ssh.bash
+++ b/bash/bash_completion.d/ssh.bash
@@ -1,4 +1,5 @@
# Completion for ssh(1) with ssh_config(5) hostnames
-declare -F _ssh_config_hosts >/dev/null ||
+if ! declare -F _ssh_config_hosts >/dev/null ; then
source "$HOME"/.bash_completion.d/_ssh_config_hosts.bash
+fi
complete -F _ssh_config_hosts -o bashdefault -o default ssh